RejectedSchedulingRequest (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: RejectedSchedulingRequest

Package org.apache.hadoop.yarn.api.records

# Class RejectedSchedulingRequest

java.lang.Object
org.apache.hadoop.yarn.api.records.RejectedSchedulingRequest

@Public @Unstable public abstract class RejectedSchedulingRequest extends Object
This encapsulates a Rejected SchedulingRequest. It contains the offending Scheduling Request along with the reason for rejection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RejectedSchedulingRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract RejectionReason`
  `getReason()`
  Get Rejection Reason.
  `abstract SchedulingRequest`
  `getRequest()`
  Get the Rejected Scheduling Request.
  `static RejectedSchedulingRequest`
  `newInstance(RejectionReason reason, SchedulingRequest request)`
  Create new RejectedSchedulingRequest.
  `abstract void`
  `setReason(RejectionReason reason)`
  Set Rejection Reason.
  `abstract void`
  `setRequest(SchedulingRequest request)`
  Set the SchedulingRequest.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RejectedSchedulingRequest

    public RejectedSchedulingRequest()

- ## Method Details

  - ### newInstance

    public static RejectedSchedulingRequest newInstance(RejectionReason reason, SchedulingRequest request)
    Create new RejectedSchedulingRequest.
    Parameters:
      `reason` - Rejection Reason.
      `request` - Rejected Scheduling Request.
    Returns:
      RejectedSchedulingRequest.

  - ### getReason

    public abstract RejectionReason getReason()
    Get Rejection Reason.
    Returns:
      Rejection reason.

  - ### setReason

    public abstract void setReason(RejectionReason reason)
    Set Rejection Reason.
    Parameters:
      `reason` - Rejection Reason.

  - ### getRequest

    public abstract SchedulingRequest getRequest()
    Get the Rejected Scheduling Request.
    Returns:
      SchedulingRequest.

  - ### setRequest

    public abstract void setRequest(SchedulingRequest request)
    Set the SchedulingRequest.
    Parameters:
      `request` - SchedulingRequest.